MagickMind
API ReferenceArtifacts

Get an artifact by id

GET
/v1/artifacts/{id}

Authorization

BearerAuth
AuthorizationBearer <token>

MagickMind API key (mm_...) or user JWT, sent as Authorization: Bearer <token>. /v1/chat/completions accepts an API key only. JWTs (not mm_ keys) may alternatively be passed as a ?token= query parameter.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/artifacts/string"
{  "bucket": "string",  "checksum_sha256": "string",  "content_type": "string",  "created_at": "string",  "created_by": "string",  "deleted_at": "string",  "deleted_by": "string",  "end_user_id": "string",  "error_code": "string",  "etag": "string",  "id": "string",  "key": "string",  "original_filename": "string",  "s3_url": "string",  "scope_id": "string",  "scope_type": "string",  "size_bytes": 0,  "status": "string",  "tenant_id": "string",  "updated_at": "string",  "updated_by": "string"}